/* Brightburn */
@font-face {
    font-family: 'BrightBurn';
    src: url('fonts/BrightBurn.eot');
    src: url('fonts/BrightBurn.eot') format('embedded-opentype'),
         url('fonts/BrightBurn.woff2') format('woff2'),
         url('fonts/BrightBurn.woff') format('woff'),
         url('fonts/BrightBurn.ttf') format('truetype'),
         url('fonts/BrightBurn.svg#BrightBurn') format('svg');
}


html, body {
    font-family: 'Nunito', sans-serif;
    font-weight: 100;
    margin: 0;
    padding: 0;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'BrightBurn';
    font-weight: 400;
    color: #5B3428;
}
    h1 {
        font-size: 60px;
    }

    h2 {
        font-size: 48px;
    }

    h3 {
        font-size: 36px;
    }

    h4 {
        font-size: 28px;
    }

/* Nav section */
.navHeader {
    width: 100%;
    height: 100%;
    justify-content: center;

    /* Hero image as a background */
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.485), rgba(128, 0, 128, 0), rgba(128, 0, 128, 0)), url(../images/banners/banner-home.png);
    background-size: cover;
    background-position: bottom;
    background-repeat: no-repeat;
    width: 100%;
    height: 90%;
}

.navHeaderContainer {
    display: flex;
    justify-content: space-between;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
    border-bottom: solid 1px #e1e1e1;
    }

.headerLogoContainer {
    padding: 1rem 0 1rem 0;
    }

.headerLogo img {
    max-width: 200px;
    min-height: 20px;
    }

.menuButtons {
    display: flex;        
    }

li {
    /* spacing of links */
    margin: 4px 0 0 2rem;
        
    /* remove bullet points */
        list-style-type: none;
    }
    
/* nav links at minimum media width */
@media only screen and (max-width: 768px) {
        .menuButtons {
            flex-direction: column;
            }

        .menuButtons li {
            margin-right: 0;
            }
        }

/* Link color and weight */
.menuButtons li a {
    color: white;
    font-size: 18px;
    font-weight: 800;
    text-shadow: 2px 2px 4px #000000aa;
        
    /* remove underline */
    text-decoration: none;
    }
    
    .menuButtons li a:hover {
    color: #A1B88F;
    font-weight: 800;
    }

/* Hero label - Headline and links */
.heroLabel {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    }    

/* Hero headline */
.headline {
    color: #5B3428;
    font-size: 60px;
    font-weight: 50;
    line-height: normal;
    text-align: center;
    /* text-shadow: 2px 2px 4px #4d4d4d; */
    /* margin-top: 200px; */
    padding: 180px 0 0 0;
    width: 100%;
    height: 50px;
}

.subhead {
    color: #5B3428;
    font-size: 1.5rem;
    font-weight: 600;
    text-align: center;
    /* text-shadow: 2px 2px 4px #4d4d4d; */
    margin: 0;
    padding: 2rem 0 2rem 0;
}

.heroButtons {
    display: block;
    box-sizing: border-box;
    justify-content: space-between;
    transition: all 0.3s ease-out;
}   

.heroButtons a {
    color: white;
    padding: 4px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 1.125rem;
    }

.buttonCat {
    background: rgba(91, 52, 40, 75%);
    border: none;
    border-radius: 1.25rem;
    width: 130px;
    height: 3rem;
    margin-right: 1rem;
    }

.buttonCat:hover {
    mix-blend-mode: normal;
    background-color: #2E1A14;
    transition: all 0.5s ease-in;
    }

.buttonMenu {
    background: rgba(91, 52, 40, 75%);
    border: none;
    border-radius: 1.25rem;
    width: 130px;
    height: 3rem;
    }

.buttonMenu:hover {
    mix-blend-mode: normal;
    background-color: #2E1A14;
    transition: all 0.5s ease-in;
    }
          


/* end of fold social media links */
.heroSocMed {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 10%;

    .heroSocMedIcons {
        display: flex;
        flex-direction: row;
        padding: 0 1rem 0 1rem;
    }

    .iconFB img{
        opacity:.3;
        margin-right: 1rem;
        }

    .iconFB img:hover {
        opacity: 1;
        transition: .5s ease;
    }

    .iconIG img{
        opacity:.3;
        margin-right: 1rem;
        }

    .iconIG img:hover {
        opacity: 1;
        transition: .5s ease;
    }

    .iconTK img{
        opacity:.3;
        margin-right: 1rem;
        }

    .iconTK img:hover {
        opacity: 1;
        transition: .5s ease;
    }

    .iconX img{
        opacity:.3;
        margin-right: 1rem;
        }

    .iconX img:hover {
        opacity: 1;
        transition: .5s ease;
    }

    }

/* About Us section */
#aboutUs {
    display: flex;
    justify-content: center;
    align-content: center;
}

.aboutUsContainer {
    display: flex;
    gap: 6rem;
    flex-direction: row;
    margin-top: 6rem;
    margin-bottom: 3rem;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

/* Responsive behaviour for About Us section */
@media only screen and (max-width: 768px) {
    .aboutUsContainer {
        display: flex;
        flex-direction: column;
    }

    .aboutUsText {
        padding: 0;
        margin: 0;
        padding: 0;
    }

    .aboutUsImage {
        width: 100%;
        margin: 0;
    }
}

.aboutUsImage {
    flex: 40%;
}

.aboutUsImage img {
    border-radius: 2rem;
    width: 100%;
    height: 100%;
}

.aboutUsText {
    display: flex;
    flex-direction: column;
    flex: 60%;
    padding: 0;
    margin: 0;
    padding-top: 0;
    align-content: center;
    height: 100%;

    p {
        font-size: 18px;
        font-weight: 200;
    }
}

.aboutUsTitle {
    padding: 0;
    margin: 0;
    font-size: 48px;
    color: #5B3428;
}

/* Rescue Our Cats section */
.adoptRescue {
    justify-content: center;
    align-content: center;
    background-color: #EFEBEA;
}

.adoptRescueContainer {
    display: flex;
    flex-direction: column;
    margin-top: 3rem;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
    margin-bottom: 3rem;
}

.adoptRescueContainer h2 {
        color: 44772B;
        font-size: 48px;
        text-align: center;
        padding: 0;
        margin: 0;
        margin-bottom: 1rem;
    }

.adoptRescueContainer p {
        font-size: 18px;
        font-weight: 200;
        text-align: center;
        padding: 0;
        margin: 0;
        margin-bottom: 3rem;
    }

.adoptionButton {
        background-color: #44772b00;
        border-radius: 1.25rem;
        border: 1px;
        border-style: solid;
        border-color: #A1B88F;
        width: 180px;
        height: 3rem;
        align-self: center;
        transition: all 0.3s ease-out;
        }

.adoptionButton a {
        font-size: 16px;
        font-weight: 600;
        color: #A1B88F;
        text-decoration: none;
        }

.adoptionButton a:hover {
        color: #44772B;
        }

/* Featured Cats section */
.featuredCats {
    display: flex;
    justify-content: center;
    }

.featuredCatsContainer {
    display: flex;
    flex-direction: column;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

.featuredCatsTitle {
    padding: 0;
    margin-bottom: 1rem;
}

.featuredCatsRow {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 2rem;
    margin: 0;
    padding: 0;
    margin-bottom: 3rem;
}

/* Responsive behaviour for Featured Cats cards row section */
@media only screen and (max-width: 768px) {
    .featuredCatsRow {
        flex-direction: column;
        gap: 2rem;
    }

    .catCard {
        justify-content: center;
        width: 100%;
    }
}

.catCard {
    display: flex;
    flex-direction: column;
    flex: calc(100%/3);
    transition: 0.3s;
    border-radius: 1.5rem;
    background-color: #5B3428;
}

.catDescription {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    padding: .5rem 1.5rem .5rem 1.5rem;
    margin-top: 1.5rem;

    h4 {
        color: #FFB500;
        padding: 0;
        margin: 0;
        margin-bottom: 1rem;
    }

    ul {
        color: #A1B88F;
        font-size: 16px;
        font-weight: 600;
        list-style-type: none;
        text-decoration: none;
        padding: 0;
        margin: 0;

        li {
            margin: 0;
        }
    }

    p {
        color: white;
        font-size: 16px;
    }
    }

    .catCard img {
        border-radius: 24px 24px 0 0;
        width: 100%;
    }

    /* Cat Card hover grow */
    .catCard:hover {
        transform: scale(1.025);
        box-shadow: 4px 8px 16px 0 rgba(0,0,0,0.6);
      }

    .catCardDescription {
        padding: 0 1rem 0 1rem;
    }

    .moreButton {
        background-color: #44772b00;
        border-radius: 1.25rem;
        border: 1px;
        border-style: solid;
        border-color: #FFD985;
        width: 120px;
        height: 2rem;
        align-self: center;
        transition: all 0.3s ease-out;
        margin-bottom: 2rem;
    }
        
    .moreButton a {
        color: #FFD985;
        text-decoration: none;
        }

    .moreButton a:hover {
        color: #FFB500;
        text-decoration: none;
        }

.meetCatsButton {
    background-color: #44772b00;
    border-radius: 1.25rem;
    border: 1px;
    border-style: solid;
    border-color: #A1B88F;
    width: 180px;
    height: 3rem;
    align-self: center;
    transition: all 0.3s ease-out;
    margin-bottom: 3rem;
    }
    
.meetCatsButton a {
    font-size: 16px;
    font-weight: 600;
    color: #A1B88F;
    text-decoration: none;
    }
    
.meetCatsButton a:hover {
    color: #44772B;
    }

/* Testimonial Section */
.testimonialSection {
    background-color: #CFDAC5;
}

.testContainer {
    display: flex;
    flex-direction: column;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

.testimonials {
    display: flex;
    padding: 0;
    margin-bottom: 1rem;
}

.testRow {
    display: flex;
    flex-direction: row;
    margin: 0;
    padding-bottom: 3rem;
    gap: 2rem;
}

/* Responsive behaviour for Testimonial row section */
@media only screen and (max-width: 768px) {
    .testRow {
        flex-direction: column;
    }
}

.testCard {
    display: flex;
    flex: calc(100%/3);
    flex-direction: column;
    justify-content: space-between;
    border-radius: 1.5rem;
    background-color: white;
    padding: 1.5rem;
    
    min-height: 30vh;

        img {
        border-radius: 6rem;
        margin-bottom: 8px;
        border: 1.25px;
        border-style: solid;
        border-color: #A1B88F;
        max-width: 80px;
        }
    }

.testCard:hover {
    box-shadow: 0 4px 12px 0 rgba(0,0,0,0.5);
    transform: scale(1.025);
    transition: 0.3s;
}    

.testText {
    /* min-height: 150px; */
    
    display: flex;
/* flex-grow: 1; */
    font-size: 17px;
    color: #44772B;
    font-weight: 300;
}    

.profile {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.name {
    color: #5B3428;
    font-weight: 600;
    padding: 0;
    margin: 0;
    /* text-align: center; */
}

.job {
    font-size: 12px;
    padding: 0;
    margin: 0;
    /* text-align: center; */
}

/* Join the Black Cat Coffee Club section */
.membership {
    display: flex;
    flex-direction: column;

    background-image: url(../images/banners/banner-member.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: initial;
}

.membershipMargin {
    height: 3rem;
}

.membershipContainer {
    display: flex;
    background-color: #5b3428e0;
    background-size: cover;
    align-self: center;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
    border-radius: 24px;
    width: 50%;
    padding: 1rem 1rem 1.5rem 1.5rem ;

    h3 {
        color: #FFEBC2;
        text-shadow: 2px 2px 4px #000000e0;
        text-align: center;
        margin-bottom: 1rem;
    }

    p {
        color: white;
        font-weight: 300;
        text-align: center;
    }

.form {
    text-align: center;
}

.form label {
    border-radius: 8px;
    height: 48px;
}

.form button {
    background-color: #44772B;
    border-radius: 8px;
    border: none;
    padding: 4px 16px 4px 16px;
    color: #CFDAC5;
}

.form button:hover {
    background-color: #CFDAC5;
    color: #44772B;
    transition: 0.3s;
    transform: scale(1.0125);
}

}

/* Footer */
.footer {
    background-color: #5B3428;
    background-size: cover;
    background-position: center;
    background-repeat: initial;
    display: flex;
}

.footerContainer {
    display: flex;
    width: 100%;
    flex-direction: column;
    margin-top: 2rem;
    color: white;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

.footerRow {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 1.25rem;
}

.footerLinksContainer {
    margin-bottom: 2rem;

    a {
        color: white;
        text-decoration: none;
        line-height: 25px;
    }

    a:hover {
        color: #A1B88F;
        font-weight: 400;
    }
}

.footerTitle {
    font-size: 18px;
    font-weight: 600;
    padding-top: 0;
    margin-top: 0;
    margin-bottom: 0;
    color: #A1B88F;

    .footerLinks {
        margin-top: 4px;
    }
}

.footerHours {
    ul {
        margin-top: 4px;
        margin-left: 0;
        padding-left: 0;
    }

    li {
        list-style-type: none;
        margin: 0;
    }

    .direction {
        margin-top: 4px;
    }
}

iframe {
    border-radius: 1rem;
    margin-top: 0.5rem;
}

.footerLegals {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    font-size: 14px;
    padding-bottom: 1rem;

    .footerLegal {
        margin-top: 1rem;
        color: #AC928A;
    }

    .footerIcons {
        margin-top: .75rem;
        
        a {
            margin-right: 1rem;
        }
    }
}

hr.footer {
    border: 0.5px solid #856257;
}

/* Responsive behaviour for footer */
@media only screen and (max-width: 768px) {
    .footerRow {
        display: flex;
        flex-direction: column;
    }

    .footerLogo {
        margin-bottom: 2rem;
    }

    .footerLegal {
        width: 55%;
    }

}

.footerIcons {
    display: flex;
    flex-direction: row;

    .fb:hover {
        transition: 0.3s;
        mix-blend-mode: color-dodge;
        transform: scale(1.125);
    }

    .ig:hover {
        transition: 0.3s;
        mix-blend-mode: color-dodge;
        transform: scale(1.125);
    }

    .tiktok:hover {
        transition: 0.3s;
        mix-blend-mode: color-dodge;
        transform: scale(1.125);
    }

    .x:hover {
        transition: 0.3s;
        mix-blend-mode: color-dodge;
        transform: scale(1.125);
    }

}
